Subject: Re: [PATCH 2/3] sequencer: actually translate report in do_exec()

From: Oswald Buddenhagen <[email-masked]>
Date: Thu, 23 Mar 2023 22:20:33 +0100

On Thu, Mar 23, 2023 at 01:43:03PM -0700, Junio C Hamano wrote:
>But the original does not look particularly a good way to
>allow people to translate the messages (namely, it splits a sentence
>in the middle and makes a sentence lego).
>
it's not that bad, because the "brick" is inserted at a location that is 
specified by another translatable string.

>I wonder if it should prepare two full sentence messages, one for
>dirty case and the other for non-dirty case?
>
... so this seems unnecessary if no translator complained yet.

>In any case, I think
>the latter half of this big warning() should be done as an advice
>message that the user can squelch, so I wouldn't worry too much
>about it before that happens.
>
yeah, but unless this is on someone's shortlist, i don't think it makes 
sense to hold up my fix.